Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSOutboundSubscriptionConfiguration Class Reference

Configuration information for Outbound Subscription. More...

`#import <CSOutboundSubscriptionConfiguration.h>`

Inherits NSObject.

## Properties
BOOL | allSubscriptionsDisabled
| A Boolean value indicating whether all subscriptions are disabled. More...
BOOL | CCSProfileSubscriptionEnabled
| A Boolean value indicating whether CCS profile subscription is enabled. More...
BOOL | registrationInfoSubscriptionEnabled
| A Boolean value indicating whether registration info subscription is enabled. More...
BOOL | dialogInfoSubscriptionEnabled
| A Boolean value indicating whether dialog info subscription is enabled. More...
BOOL | featureStatusSubscriptionEnabled
| A Boolean value indicating whether feature status subscription is enabled. More...
BOOL | messageSummarySubscriptionEnabled
| A Boolean value indicating whether message summary subscription is enabled. More...
BOOL | CCEliteSubscriptionEnabled
| A Boolean value indicating whether call centre elite subscription is enabled. More...

## Detailed Description

Configuration information for Outbound Subscription.

## Property Documentation

- (BOOL) allSubscriptionsDisabled
| read write nonatomic assign

A Boolean value indicating whether all subscriptions are disabled.

- (BOOL) CCEliteSubscriptionEnabled
| read write nonatomic assign

A Boolean value indicating whether call centre elite subscription is enabled.

- (BOOL) CCSProfileSubscriptionEnabled
| read write nonatomic assign

A Boolean value indicating whether CCS profile subscription is enabled.

- (BOOL) dialogInfoSubscriptionEnabled
| read write nonatomic assign

A Boolean value indicating whether dialog info subscription is enabled.

- (BOOL) featureStatusSubscriptionEnabled
| read write nonatomic assign

A Boolean value indicating whether feature status subscription is enabled.

- (BOOL) messageSummarySubscriptionEnabled
| read write nonatomic assign

A Boolean value indicating whether message summary subscription is enabled.

- (BOOL) registrationInfoSubscriptionEnabled
| read write nonatomic assign

A Boolean value indicating whether registration info subscription is enabled.

The documentation for this class was generated from the following file:

- CSOutboundSubscriptionConfiguration.h